package com.zcloud.personnel.positioning.api;

import com.zcloud.personnel.positioning.dto.FencePointAddCmd;
import com.zcloud.personnel.positioning.dto.FencePointPageQry;
import com.zcloud.personnel.positioning.dto.FencePointUpdateCmd;
import com.zcloud.personnel.positioning.dto.clientobject.FencePointCO;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface FencePointServiceI {
    PageResponse<FencePointCO> listPage(FencePointPageQry qry);

    List<FencePointCO> listAll();

    FencePointCO queryById(Long id);

    SingleResponse<FencePointCO> add(FencePointAddCmd cmd);

    void edit(FencePointUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}
